GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXCharData Class Reference

Class for handling a alphanumerical variable data. More...

`#include <GTXCharData.hpp>`

Inheritance diagram for GTXCharData:

## Public Member Functions
| GTXCharData ()
| empty constructor
| ~GTXCharData ()
| destructor
| GTXCharData (gtx_long count, const char *const *list)
| constructor from a count of items and a C string array
| GTXCharData (const GTXCharData &in_chrdata)
| copy contructor
GTXCharData & | operator= (const GTXCharData &in_chrdata)
| operator =
const char * | GetUndefinedValue () const
| Get the undefined value.
void | SetUndefinedValue (const char *undef_val)
| Set the undefined value.
Public Member Functions inherited from GTXStringArray
| GTXStringArray ()
| empty constructor
| ~GTXStringArray ()
| destructor
| GTXStringArray (gtx_long count, const char *const *list)
| constructor from a count of items and a C string array
| GTXStringArray (const GTXStringArray &in_chrdata)
| copy contructor
GTXStringArray & | operator= (const GTXStringArray &in_chrdata)
| operator =
gtx_long | GetCount (void) const
| Get the number of values in the array.
void | Resize (gtx_long count)
| Resize the array (keeps the old values when possible)
const char * | GetValue (gtx_long rank) const
| Get the rank'th value (0 <= rank < count)
const char ** | GetValues () const
| Get the complete values array.
void | SetValue (gtx_long rank, const char *value)
| Set the rank'th value (0 <= rank < count)
void | SetValues (const char *const *values)
| Set All the Values at once (array must have been resized before)

## Friends
class | GTXClient

## Detailed Description

Class for handling a alphanumerical variable data.

Examples:
  write_files.cpp.

The documentation for this class was generated from the following files:

- include/GTXCharData.hpp
- src/gtxclient/GTXCharData.cpp